## libaio 0.3.110

=== Makefile ===
NAME=libaio
SPECFILE=$(NAME).spec
VERSION=$(shell awk '/Version:/ { print $$2 }' $(SPECFILE))
RELEASE=$(shell awk '/Release:/ { print $$2 }' $(SPECFILE))
CVSTAG = $(NAME)_$(subst .,-,$(VERSION))_$(subst .,-,$(RELEASE))
RPMBUILD=$(shell `which rpmbuild >&/dev/null` && echo "rpmbuild" || echo "rpm")

prefix=/usr
includedir=$(prefix)/include
libdir=$(prefix)/lib

default: all

all:
	@$(MAKE) -C src

install:
	@$(MAKE) -C src install prefix=$(prefix) includedir=$(includedir) libdir=$(libdir)

check:
	@$(MAKE) -C harness check

partcheck: all
	@$(MAKE) -C harness partcheck

clean:
	@$(MAKE) -C src clean
	@$(MAKE) -C harness clean

tag-archive:
	@cvs -Q tag -F $(CVSTAG)

create-archive: tag-archive
	@rm -rf /tmp/$(NAME)
	@cd /tmp; cvs -Q -d $(CVSROOT) export -r$(CVSTAG) $(NAME) || echo GRRRrrrrr -- ignore [export aborted]
	@mv /tmp/$(NAME) /tmp/$(NAME)-$(VERSION)
	@cd /tmp; tar czSpf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)
	@rm -rf /tmp/$(NAME)-$(VERSION)
	@cp /tmp/$(NAME)-$(VERSION).tar.gz .
	@rm -f /tmp/$(NAME)-$(VERSION).tar.gz 
	@echo " "
	@echo "The final archive is ./$(NAME)-$(VERSION).tar.gz."

archive: clean tag-archive create-archive

srpm: create-archive
	$(RPMBUILD) --define "_sourcedir `pwd`" --define "_srcrpmdir `pwd`" --nodeps -bs $(SPECFILE)

## libaio 0.3.109

=== debian/changelog ===
libaio (0.3.109-2ubuntu1) precise; urgency=low

  * Fix io_* manual page sections.  This avoids a file conflict with
    manpages-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 15:37:15 +0100

libaio (0.3.109-2) unstable; urgency=low

  * Add a symbols file for libaio1.
  * Remove heading ‘./’ from lintian-override tag.
  * Fix FTBFS with newer gcc 4.6: (Closes: #638848)
    - Do not build the test-suite with -Werror.
    - Use unused waitpid() return code variables to assert valid values.
  * Make shared library packages multiarch:
    - Build-Depend on debhelper 8.1.3.
    - Add misc:Pre-Depends substvar to Pre-Depends field in libaio1.
    - Add “Multi-Arch: same” field to libaio1 and libaio1-dbg.
    - Change paths from lib/ to lib/* in install and lintian-override files.
    - Define DEB_HOST_MULTIARCH and use it to set libdir and libdevdir.
  * Install all libaio io*.3 man pages. (Closes: #418048)
  * Do not install man pages for functions coming from libc, the aio*
    and lio_listio* man pages are already shipped by manpages-dev.
  * Merge adapted changes from Ubuntu. (Closes: #588112)
    - Change Priority from extra to optional.
    - Add support for sparc64 and hppa 64-bit architectures.
  * Set libaio1-dbg Priority back to extra.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 30 Aug 2011 16:54:22 +0200

libaio (0.3.109-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Update watch file to point to the new upstream URL at kernel.org.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Add missing ${misc:Depends} to eveyr package Depends fields.
  * Switch Architecture field list to just linux-any, and although the
    code will not automatically support new Linux architectures, as it
    will miss the syscall-<arch>.h header support among others, it just
    needs to be ported, and this way it's easier to spot. This implicitly
    adds amrhf support. (Closes: #596996)
  * Add a Homepage field. (Closes: #566338)

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 05:22:27 +0100

libaio (0.3.107-7) unstable; urgency=low

  * Add support for sh3 and sh4. (Closes: #535288)
    Thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 13:02:34 +0200

libaio (0.3.107-6) unstable; urgency=low

  * Workaround debhelper compat v7 bug (#534565) in dh_install which makes
    files end up under /debian/tmp/ in the binary package, by not passing
    --sourcedir to dh_install. (Closes: #533359, #532644)
  * Pass -s to arch dependent debhelper commands.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jun 2009 14:11:25 +0200

libaio (0.3.107-5) unstable; urgency=low

  * Change libaio1-dbg section to debug.
  * Fix build failure in test suite on non-i386 32 bit architectures.
  * Fix man pages errors and warnings.

 -- Guillem Jover <guillem@debian.org>  Wed, 10 Jun 2009 06:09:52 +0200

libaio (0.3.107-4) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Remove libaio1.dirs, unneeded due to dh_lintian taking care of it.
  * Run the test suite on all architectures and not only on i386.
  * Now using Standards-Version 3.8.1 (no changes needed).
  * Switch the upstream repository reference from CVS to git.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jun 2009 19:40:54 +0200

libaio (0.3.107-3) unstable; urgency=low

  * Fix the Vcs-Git URL.
  * Remove XB- from the Package-Type field.
  * Fix watch file URL. (Closes: #502884)
    Thanks to Jiří Paleček <jpalecek@web.de>.

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Oct 2008 20:36:43 +0300

libaio (0.3.107-2) unstable; urgency=low

  * Only run the test suite on i386 as it has not been ported for other
    architectures. (Closes: #488812)
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Do not check for the existence of the Makefile on clean, it's always
    there.
  * Switch to use dh_lintian instead of manually installing the overrides.
    - Bump the versioned debhelper Build-Depends to 6.0.7.

 -- Guillem Jover <guillem@debian.org>  Wed, 09 Jul 2008 05:32:30 +0300

libaio (0.3.107-1) unstable; urgency=low

  * New upstream release.
  * Run the test suite on install, and support nocheck DEB_BUILD_OPTIONS
    to disable it.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jun 2008 09:03:54 +0300

libaio (0.3.106-9) unstable; urgency=low

  * Fix misspelled words (linux -> Linux and aio -> AIO).
  * Update packaging Vcs fields to the new URL.
  * Improve debian/copyright:
    - Change 'Copyright Holder' to 'Copyright Holders'.
    - Use UTF-8 copyright sign.
    - Update upstream download url.
    - Refer to LGPL-2.1 from common-licenses instead of just LGPL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab. (Closes: #484962)
  * Update watch file URL. (Closes: #450017)

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 07:42:52 +0300

libaio (0.3.106-8) unstable; urgency=low

  * Install shared library under /lib, needed by multipath binaries which
    reside under /sbin. (Closes: #441244)
    - debian/patches/02_libdevdir.patch: New file.
  * Add a debugging symbols library package.
  * Add Vcs-Browser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Sep 2007 04:29:22 +0300

libaio (0.3.106-7) unstable; urgency=low



=== debian/control ===
Source: libaio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
Priority: optional
Section: libs
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/libaio.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/libaio.git
Homepage: http://www.kernel.org/pub/linux/libs/aio/
Build-Depends: debhelper (>= 8.1.3)
Standards-Version: 3.9.2

Package: libaio1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

Package: libaio1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

Package: libaio1-dbg
Priority: extra
Section: debug
Architecture: linux-any
Multi-Arch: same
Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel AIO access library - debugging symbols
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

Package: libaio-dev
Section: libdevel
Architecture: linux-any
Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel AIO access library - development files
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

lib := libaio1
libdbg := $(lib)-dbg
libudeb := $(lib)-udeb
libdev := libaio-dev

build-indep:

build-arch:
	dh_testdir
	
	$(MAKE)

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean
	
	dh_clean

check-arch: build-arch
	dh_testdir
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) partcheck
endif

install-arch: check-arch
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	
	$(MAKE) install \
	  DESTDIR=$(CURDIR)/debian/tmp \
	  libdir=/lib/$(DEB_HOST_MULTIARCH) \
	  libdevdir=/usr/lib/$(DEB_HOST_MULTIARCH)

binary: binary-indep binary-arch

binary-indep:
	# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -s
	dh_installchangelogs -s ChangeLog
	dh_installdocs -s
	dh_installexamples -s
	dh_installman -s
	dh_lintian -s
	dh_link -s
	dh_strip -s --dbg-package=$(libdbg)
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s --add-udeb '$(libudeb)'
	dh_shlibdeps -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

.PHONY: clean build-indep build-arch build 
.PHONY: install-arch binary-indep binary-arch binary

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
http://ftp.kernel.org/pub/linux/libs/aio/ libaio-([\d\.]+)\.tar.gz debian uupdate
# http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS/ libaio-([\d\.]+)-[\w\.]+\.src.rpm debian uupdate

## libaio 0.3.110

=== debian/changelog ===
libaio (0.3.110-4) unstable; urgency=medium

  * Update upstream URLs to point to pagure.io instead of obsolete
    fedorahosted.org site.
  * Switch to debhelper compatibility level 10.
  * Now using Standards-Version 4.0.1 (no changes needed).
  * Move location of LGPL in Debian systems into a Comment field in
    debian/copyright.
  * Use -a instead of deprecated -s in debhelper commands.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Aug 2017 00:29:32 +0200

libaio (0.3.110-3) unstable; urgency=medium

  * Use https for hadrons.org and debian.org URLs.
  * Switch debug package to a ddeb.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable hardening bindnow feature.
  * Update URL in debian/watch.
  * Fix typos in man pages, reported by lintian.
  * Now using Standards-Version 3.9.8 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2016 20:38:08 +0200

libaio (0.3.110-2) unstable; urgency=medium

  * Use https for the debian/copyright Format URL.
  * Switch Vcs-Browser to a cgit URL.
  * Update Homepage URL to new release site.
    Prompted by Sedat Dilek <sedat.dilek@gmail.com>.
  * Use https in debian/watch URL.
  * Add a small note on each long package description explaining what is
    contained on each package.
  * Document each patch.

 -- Guillem Jover <guillem@debian.org>  Tue, 29 Sep 2015 16:48:30 +0200

libaio (0.3.110-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Link against -lc and -Wl,--as-needed so that we pull the required
    fortified functions from the internal libc_nonshared.a, but do not link
    against the shared library because we do not use any of its symbols.
    (Closes: #764509)
  * Switch debian/copyright to machine-readable format 1.0.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Switch to debhelper compatibility level 9.
  * Fix mips/mipsel syscall wrappers to return correct error values.
    Thanks to Jurica Stanojkovic <Jurica.Stanojkovic@rt-rk.com>.
  * Add mips64 support. Reported by Jeremy Fitzhardinge <jeremy@exablox.com>.

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Oct 2014 05:44:48 +0200

libaio (0.3.109-4) unstable; urgency=low

  * Now using Standards-Version 3.9.4 (no changes needed).
  * Remove package creation information from debian/copyright.
  * Update upstream git URL in debian/copyright.
  * Add support for x32 (from the Yocto project). (Closes: #702183)
    Thanks to Daniel Schepler <dschepler@gmail.com>.
  * Add support for arm64 (stolen from upstream). (Closes: #702409)
    Thanks to Ian Campbell <ijc@hellion.org.uk>.
  * Add cross-compilation support.
    Based on a patch by Ian Campbell <ijc@hellion.org.uk>.
  * Update debian/watch file to a working URL.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 May 2013 18:56:19 +0200

libaio (0.3.109-3) unstable; urgency=low

  * Escape backslash in man pages. (Closes: #651833)
    Thanks to Stephan Springl <springl-libaio@bfw-online.de>.
  * Do not install man pages now provided by manpages-dev. (Closes: #650108)
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 21 Jun 2012 09:21:59 +0200

=== debian/control ===
Source: libaio
Maintainer: Guillem Jover <guillem@debian.org>
Priority: optional
Section: libs
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libaio.git
Homepage: https://pagure.io/libaio
Build-Depends: debhelper (>= 10)
Standards-Version: 4.0.1

Package: libaio1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
 .
 This package contains the shared library.

Package: libaio1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux kernel AIO access library - shared library
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
 .
 This package contains the udeb shared library.

Package: libaio-dev
Section: libdevel
Architecture: linux-any
Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel AIO access library - development files
 This library enables userspace to use Linux kernel asynchronous I/O
 system calls, important for the performance of databases and other
 advanced applications.
 .
 This package contains the static library and the header files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DEB_CFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

lib := libaio1
libdbg := $(lib)-dbg
libudeb := $(lib)-udeb
libdev := libaio-dev

build-indep:

build-arch:
	dh_testdir
	
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean
	
	dh_clean

check-arch: build-arch
	dh_testdir
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	        partcheck
endif

install-arch: check-arch
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	
	$(MAKE) install \
	  DESTDIR=$(CURDIR)/debian/tmp \
	  libdir=/lib/$(DEB_HOST_MULTIARCH) \
	  libdevdir=/usr/lib/$(DEB_HOST_MULTIARCH)

binary: binary-indep binary-arch

binary-indep:
	# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --ddeb-migration='$(libdbg) (<< 0.3.110-2~)'
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a --add-udeb '$(libudeb)'
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: clean build-indep build-arch build 
.PHONY: install-arch binary-indep binary-arch binary

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
https://releases.pagure.org/libaio/libaio-([\d\.]+)\.tar\.(gz|xz) debian uupdate

## libaio 0.3.111

=== debian/changelog ===
libaio (0.3.111-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Fix x32 support. (Closes: #883904)
    - Add riscv64 support. (Closes: #893003)
  * Fix cross-building by not invoking getconf for PAGESIZE, and instead
    getting the value at run-time.
  * Do not pass -fomit-frame-pointer as part of the required compiler flags.
  * Remove now always unused lintian override, as upstream requires linking
    against libc everywhere for its syscall(3) usage.
  * Mark libaio-dev as Multi-Arch same.
  * Now using Standards-Version 4.1.3 (no changes needed).
  * Switch to debhelper compatibility level 11.

 -- Guillem Jover <guillem@debian.org>  Sun, 18 Mar 2018 02:58:44 +0100

libaio (0.3.110-5) unstable; urgency=medium

  * Line-wrap and sort debian/control fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Use dpkg buildtools.mk fragment to set a correct CC.
  * Set Rules-Requires-Root to no.
  * Switch to debian/watch format version 4.
  * Fix regex in debian/watch file to not include extension in the version.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 16:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,20 @@
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libaio.git
 Homepage: https://pagure.io/libaio
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Build-Depends:
+ dpkg-dev (>= 1.19.0),
+ debhelper (>= 11),
 
 Package: libaio1
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Linux kernel AIO access library - shared library
  This library enables userspace to use Linux kernel asynchronous I/O
  system calls, important for the performance of databases and other
@@ -24,7 +30,9 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Linux kernel AIO access library - shared library
  This library enables userspace to use Linux kernel asynchronous I/O
  system calls, important for the performance of databases and other
@@ -35,7 +43,10 @@
 Package: libaio-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libaio1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ libaio1 (= ${binary:Version}),
 Description: Linux kernel AIO access library - development files
  This library enables userspace to use Linux kernel asynchronous I/O
  system calls, important for the performance of databases and other

## libaio 0.3.112

=== Makefile ===
NAME=libaio
SPECFILE=$(NAME).spec
VERSION=$(shell awk '/Version:/ { print $$2 }' $(SPECFILE))
TAG = $(NAME)-$(VERSION)
RPMBUILD=$(shell `which rpmbuild >&/dev/null` && echo "rpmbuild" || echo "rpm")

prefix=/usr
includedir=$(prefix)/include
libdir=$(prefix)/lib

default: all

all:
	@$(MAKE) -C src

install:
	@$(MAKE) -C src install prefix=$(DESTDIR)$(prefix) includedir=$(DESTDIR)$(includedir) libdir=$(DESTDIR)$(libdir)

check:
	@$(MAKE) -C harness check

partcheck: all
	@$(MAKE) -C harness partcheck

clean:
	@$(MAKE) -C src clean
	@$(MAKE) -C harness clean

tag-archive:
	@git tag $(TAG)

create-archive:
	@git archive --prefix=$(NAME)-$(VERSION)/ -o $(NAME)-$(VERSION).tar.gz $(TAG)
	@echo "The final archive is ./$(NAME)-$(VERSION).tar.gz."

archive: clean tag-archive create-archive

srpm: create-archive
	$(RPMBUILD) --define "_sourcedir `pwd`" --define "_srcrpmdir `pwd`" --nodeps -bs $(SPECFILE)

=== harness/Makefile ===
# foo.
TEST_SRCS:=$(shell find cases/ -name \*.t | sort -n -t/ -k2)
EXTRAPROGS:=cases/8.p cases/10.p
PARTPROGS:=$(filter-out $(EXTRAPROGS), $(patsubst %.t,%.p,$(TEST_SRCS)))
PROGS:=$(PARTPROGS) $(EXTRAPROGS)
HARNESS_SRCS:=main.c
# io_queue.c

CFLAGS+=-Wall -Werror -I../src -g -O2 -DPAGE_SIZE=$(shell getconf PAGESIZE)
#-lpthread -lrt

all: $(PROGS)

$(PROGS): %.p: %.t $(HARNESS_SRCS)
	$(CC) $(CFLAGS) -DTEST_NAME=\"$<\" -o $@ main.c ../src/libaio.a -lpthread

clean:
	rm -f $(PROGS) *.o runtests.out rofile wofile rwfile

.PHONY:

testdir/rofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 400 $@

testdir/wofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 200 $@

testdir/rwfile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 600 $@

testdir testdir.enospc testdir.ext2:
	mkdir $@

root: .PHONY
	@if [ `id -u` -ne 0 ]; then echo Need root for check, try partcheck >&2; exit 1; fi

partcheck: $(PARTPROGS) testdir/rofile testdir/rwfile testdir/wofile
	./runtests.sh $(PARTPROGS)

ext2.img:
	dd if=/dev/zero bs=1M count=10 of=$@
	mke2fs -F -b 4096 $@

extracheck: $(EXTRAPROGS) root testdir.ext2 testdir.enospc ext2.img
	mount -o loop -t ext2 ext2-enospc.img testdir.enospc
	./runtests.sh cases/10.p; ret=$$?; umount testdir.enospc; exit $$ret
	mount -o loop -t ext2 ext2.img testdir.ext2
	./runtests.sh cases/8.p; ret=$$?; umount testdir.ext2; exit $$ret

check: partcheck extracheck

=== debian/changelog ===
libaio (0.3.112-9) unstable; urgency=medium

  * Remove Build-Depends on dpkg-dev, satisfied in stable.
  * Switch to debhelper compatibility level 13.
  * Do not pass ChangeLog to dh_installchangelogs, now handled by default.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Switch to the dh sequencer.
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 15:41:17 +0100

libaio (0.3.112-8) unstable; urgency=medium

  * Add a comment with the reason for each architecture being in the flaky
    test suite mode.
  * Remove temporary forced flaky test suite run on architectures built under
    an emulator, and move them to the permanent flaky list.
  * Add x32 to the flaky test suite mode list, it's still failing on the build
    daemons, even though it worked locally.
  * Remove no longer needed TESTS_RUN logic, and inline the nocheck condition.

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Apr 2020 02:58:47 +0200

libaio (0.3.112-7) unstable; urgency=medium

  * Cleanup patches:
    - Move upstream patches under debian/patches/upstream/.
    - Fix syscall definitions for ARM and ia64 to match the kernel exactly.
      Otherwise the preprocessor emits warnings about redefinitions.
    - Split the architecture support patches into one per arch support.
    - Fix syscall definitions for hppa to match the kernel exactly.
    - Make __X32_SYSCALL_BIT an unsigned long constant to match the kernel.
    - Fix x32 structures padding.
    - Rework build system patches to ready them for upstream submission,
      and drop libdevdir support which we do not use anymore.
  * Fix logic inversion in test suite flaky handling.
  * Remove trailing closing parenthesis from TESTS_RUN conditional.
  * Print a message when we run the test suite in flaky mode.
  * Remove armhf from the test suite flaky mode.

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Apr 2020 04:49:39 +0200

libaio (0.3.112-6) unstable; urgency=medium

  * Sync with upstream commits:
    - Rebase against latest upstream git master.
    - Skip the test if io_pgetevents() is not implemented.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Do not pass --add-udeb to dh_makeshlibs anymore, it's autodetected since
    debhelper 12.3, for which we add an explicit versioned Build-Depends.
  * Use correct syscall numbers for x32 port.
  * Make the testsuite fatal on architectures known to pass it, to avoid
    future regressions.
  * Temporarily force a flaky test suite run on architectures built under
    and emulator, to get test results.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 Apr 2020 19:06:49 +0200

libaio (0.3.112-5) unstable; urgency=medium

  * Sync with upstream commits:
    - Make test suite failures fatal, so we ignore errors for now, until it
      passes at least in all release architectures.
    - Add support for SKIPable tests.
    - Allow running tests against the installed library, which will make
      possible to add autopkgtests.
    - Fix test case 5.t, by using a write() instead of a read() to force the
      kernel to read from the unreadable buffer.
  * Add a workaround to io_pgetevents() for 32-bit userland running on
    64-bit kernels to cope with the broken compat kernel syscall, which uses
    a 64-bit pointer instead of a 32-bit one, and eats the sigset_t size
    member which makes it then fail a consistency check and return -EINVAL.
    This fixes test case 22.t. The kernel fix is being prepared as well.
  * Add more detailed error messages to test case 22.t.

 -- Guillem Jover <guillem@debian.org>  Fri, 16 Aug 2019 05:11:10 +0200

libaio (0.3.112-4) unstable; urgency=medium

  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Switch to debhelper compatibility level 12.
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Test suite fixes:
    - Fix the attempt_rw READ call to be arch-dependent instead of making
      it the WRITE call. Thanks to Jeff Moyer <jmoyer@redhat.com>.

 -- Guillem Jover <guillem@debian.org>  Fri, 02 Aug 2019 05:33:44 +0200

libaio (0.3.112-3) unstable; urgency=medium

  * Test suite fixes:
    - Fix logic inversion in EINVAL check.
    - Revert making the test suite fatal on failures, as the Debian buildd
      setup is peculiar enough to make at least two tests fail. This will
      need further work.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 05:26:21 +0100

libaio (0.3.112-2) unstable; urgency=medium

  * Test suite fixes:
    - Make RISC-V use SYS_eventfd2 instead of unavailable SYS_eventfd.
    - Add fallback code for filesystems not supporting O_DIRECT.
    - Handle -ENOTSUP in addition to -EINVAL from io_submit() with RWF_NOWAIT.
    - The WRITE call does not change across different arches anymore.
    - Make the test exit with a code matching the pass/fail state.
      This will turn test suite errors into fatal build problems.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 03:14:38 +0100

libaio (0.3.112-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Remove patches merged upstream.
    - Add new patch to fix error due to -Werror=sizeof-pointer-memaccess.
    - Split man page cleanup into logic changes, and further improve the
      formatting, markup, typo fixes, etc.
  * Use expanded symbol file instead of matching on symver. Even though
    upstream manages versioned symbols correctly, being explicit makes it
    safer against accidental changes.
  * Add a Build-Depends-Package field to the symbols file.
  * Only install upstream TODO into libaio-dev.
  * Remove support for old debug symbol package migration.
  * Add comment for dpkg-dev versioned Build-Depends.
  * Perform a proper and correct /usr-merge transition by moving the package
    contents from / to /usr.
  * Now using Standards-Version 4.3.0 (no changes needed).
  * Remove unused make variables from debian/rules.



=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libaio.git
 Homepage: https://pagure.io/libaio
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
- dpkg-dev (>= 1.19.0),
- debhelper (>= 11),
+ debhelper-compat (= 13),
 
 Package: libaio1
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DEB_CFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk

# The following architectures still fail the test suite:
#   m68k
#     (emulated, no proper test results)
#   sh4
#     (emulated, no proper test results)
#   x32
#     (20: io_setup failed)
#   riscv64
#     (5: 512 instead of EFAULT on write)
#   sparc64
#     (5: 512 instead of EFAULT on write)
#     (19: mremap EINVAL)
#   hppa
#     (5: 512 instead of EFAULT on write)
#     (19: mremap EINVAL)
#     (17: looping, timeout?)
ifneq (,$(filter $(DEB_HOST_ARCH),m68k sh4 x32 riscv64 sparc64 hppa))
  TESTS_FLAKY = yes
endif

export CC

%:
	dh $@

override_dh_auto_test:
ifeq ($(TESTS_FLAKY),yes)
	@echo "Notice: Running tests in flaky mode, errors will be ignored."
endif
	$(if $(TESTS_FLAKY),-)$(MAKE) partcheck \
	  CPPFLAGS="$(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" \
	  LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- \
	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

## libaio 0.3.112-13build1+11.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 TAG = $(NAME)-$(VERSION)
 RPMBUILD=$(shell `which rpmbuild >&/dev/null` && echo "rpmbuild" || echo "rpm")
 
+DESTDIR=
 prefix=/usr
 includedir=$(prefix)/include
 libdir=$(prefix)/lib
@@ -14,7 +15,12 @@
 	@$(MAKE) -C src
 
 install:
-	@$(MAKE) -C src install prefix=$(DESTDIR)$(prefix) includedir=$(DESTDIR)$(includedir) libdir=$(DESTDIR)$(libdir)
+	@$(MAKE) -C src install \
+	  DESTDIR=$(DESTDIR) \
+	  prefix=$(prefix) \
+	  includedir=$(includedir) \
+	  libdir=$(libdir) \
+	  $(nil)
 
 check:
 	@$(MAKE) -C harness check

=== harness/Makefile ===
--- 
+++ 
@@ -6,13 +6,25 @@
 HARNESS_SRCS:=main.c
 # io_queue.c
 
-CFLAGS+=-Wall -Werror -I../src -g -O2 -DPAGE_SIZE=$(shell getconf PAGESIZE)
+MK_CPPFLAGS = -I../src $(CPPFLAGS)
+CFLAGS ?= -Wall -g -O2
+MK_CFLAGS = $(CFLAGS)
 #-lpthread -lrt
+MK_LDFLAGS = main.c $(LIBAIO) -lpthread $(LDFLAGS)
+
+# gcc-11 does not like the test case in 3.t that
+# passes an invalid pointer (-1) to the kernel, so
+# tell the compiler we do not need a warning here
+cases/3.p:	MK_CFLAGS+=-Wno-stringop-overflow
+
+# Change this on the build line to run tests against the installed libraries:
+# make LIBAIO=-laio partcheck
+LIBAIO?=../src/libaio.a
 
 all: $(PROGS)
 
 $(PROGS): %.p: %.t $(HARNESS_SRCS)
-	$(CC) $(CFLAGS) -DTEST_NAME=\"$<\" -o $@ main.c ../src/libaio.a -lpthread
+	$(CC) $(MK_CPPFLAGS) $(MK_CFLAGS) -DTEST_NAME=\"$<\" -o $@ $(MK_LDFLAGS)
 
 clean:
 	rm -f $(PROGS) *.o runtests.out rofile wofile rwfile

=== src/Makefile ===
DESTDIR=
prefix=/usr
includedir=$(prefix)/include
libdir=$(prefix)/lib

MK_CPPFLAGS = -I. $(CPPFLAGS)
CFLAGS ?= -Wall -g -fomit-frame-pointer -O2
MK_CFLAGS = -fPIC $(CFLAGS)
SO_CFLAGS = -shared $(MK_CFLAGS)
L_CFLAGS = $(MK_CFLAGS)
MK_LDFLAGS = $(LDFLAGS)
ENABLE_SHARED ?= 1

soname=libaio.so.1
minor=0
micro=1
libname=$(soname).$(minor).$(micro)
all_targets += libaio.a

ifeq ($(ENABLE_SHARED),1)
all_targets += $(libname)
endif

all: $(all_targets)

# libaio provided functions
libaio_srcs := io_queue_init.c io_queue_release.c
libaio_srcs += io_queue_wait.c io_queue_run.c

# real syscalls
libaio_srcs += io_getevents.c io_submit.c io_cancel.c
libaio_srcs += io_setup.c io_destroy.c io_pgetevents.c

# internal functions
libaio_srcs += raw_syscall.c

# old symbols
libaio_srcs += compat-0_1.c

libaio_objs := $(patsubst %.c,%.ol,$(libaio_srcs))
libaio_sobjs := $(patsubst %.c,%.os,$(libaio_srcs))

$(libaio_objs) $(libaio_sobjs): libaio.h vsys_def.h

%.os: %.c
	$(CC) $(MK_CPPFLAGS) $(SO_CFLAGS) -c -o $@ $<

%.ol: %.c
	$(CC) $(MK_CPPFLAGS) $(L_CFLAGS) -c -o $@ $<

AR ?= ar
RANLIB ?= ranlib
libaio.a: $(libaio_objs)
	rm -f libaio.a
	$(AR) r libaio.a $^
	$(RANLIB) libaio.a

$(libname): $(libaio_sobjs) libaio.map
	$(CC) $(SO_CFLAGS) -Wl,--version-script=libaio.map -Wl,-soname=$(soname) -o $@ $(libaio_sobjs) $(MK_LDFLAGS)

install: $(all_targets)
	install -D -m 644 libaio.h $(DESTDIR)$(includedir)/libaio.h
	install -D -m 644 libaio.a $(DESTDIR)$(libdir)/libaio.a
ifeq ($(ENABLE_SHARED),1)
	install -D -m 755 $(libname) $(DESTDIR)$(libdir)/$(libname)
	ln -sf $(libname) $(DESTDIR)$(libdir)/$(soname)
	ln -sf $(libname) $(DESTDIR)$(libdir)/libaio.so
endif

$(libaio_objs): libaio.h

clean:
	rm -f $(all_targets) $(libaio_objs) $(libaio_sobjs) $(soname).new
	rm -f *.so* *.a *.o

=== .pc/0011-build-Honour-user-build-flags.patch/harness/Makefile ===
# foo.
TEST_SRCS:=$(shell find cases/ -name \*.t | sort -n -t/ -k2)
EXTRAPROGS:=cases/8.p cases/10.p
PARTPROGS:=$(filter-out $(EXTRAPROGS), $(patsubst %.t,%.p,$(TEST_SRCS)))
PROGS:=$(PARTPROGS) $(EXTRAPROGS)
HARNESS_SRCS:=main.c
# io_queue.c

CFLAGS+=-Wall -I../src -g -O2
#-lpthread -lrt

# gcc-11 does not like the test case in 3.t that
# passes an invalid pointer (-1) to the kernel, so
# tell the compiler we do not need a warning here
cases/3.p:	CFLAGS+=-Wno-stringop-overflow

# Change this on the build line to run tests against the installed libraries:
# make LIBAIO=-laio partcheck
LIBAIO?=../src/libaio.a

all: $(PROGS)

$(PROGS): %.p: %.t $(HARNESS_SRCS)
	$(CC) $(CFLAGS) -DTEST_NAME=\"$<\" -o $@ main.c $(LIBAIO) -lpthread

clean:
	rm -f $(PROGS) *.o runtests.out rofile wofile rwfile

.PHONY:

testdir/rofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 400 $@

testdir/wofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 200 $@

testdir/rwfile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 600 $@

testdir testdir.enospc testdir.ext2:
	mkdir $@

root: .PHONY
	@if [ `id -u` -ne 0 ]; then echo Need root for check, try partcheck >&2; exit 1; fi

partcheck: $(PARTPROGS) testdir/rofile testdir/rwfile testdir/wofile
	./runtests.sh $(PARTPROGS)

ext2.img:
	dd if=/dev/zero bs=1M count=10 of=$@
	mke2fs -F -b 4096 $@

extracheck: $(EXTRAPROGS) root testdir.ext2 testdir.enospc ext2.img
	mount -o loop -t ext2 ext2-enospc.img testdir.enospc
	./runtests.sh cases/10.p; ret=$$?; umount testdir.enospc; exit $$ret
	mount -o loop -t ext2 ext2.img testdir.ext2
	./runtests.sh cases/8.p; ret=$$?; umount testdir.ext2; exit $$ret

check: partcheck extracheck

=== .pc/0011-build-Honour-user-build-flags.patch/src/Makefile ===
DESTDIR=
prefix=/usr
includedir=$(prefix)/include
libdir=$(prefix)/lib

CFLAGS ?= -g -fomit-frame-pointer -O2
CFLAGS += -Wall -I. -fPIC
SO_CFLAGS=-shared $(CFLAGS)
L_CFLAGS=$(CFLAGS)
LINK_FLAGS=
LINK_FLAGS+=$(LDFLAGS)
ENABLE_SHARED ?= 1

soname=libaio.so.1
minor=0
micro=1
libname=$(soname).$(minor).$(micro)
all_targets += libaio.a

ifeq ($(ENABLE_SHARED),1)
all_targets += $(libname)
endif

all: $(all_targets)

# libaio provided functions
libaio_srcs := io_queue_init.c io_queue_release.c
libaio_srcs += io_queue_wait.c io_queue_run.c

# real syscalls
libaio_srcs += io_getevents.c io_submit.c io_cancel.c
libaio_srcs += io_setup.c io_destroy.c io_pgetevents.c

# internal functions
libaio_srcs += raw_syscall.c

# old symbols
libaio_srcs += compat-0_1.c

libaio_objs := $(patsubst %.c,%.ol,$(libaio_srcs))
libaio_sobjs := $(patsubst %.c,%.os,$(libaio_srcs))

$(libaio_objs) $(libaio_sobjs): libaio.h vsys_def.h

%.os: %.c
	$(CC) $(SO_CFLAGS) -c -o $@ $<

%.ol: %.c
	$(CC) $(L_CFLAGS) -c -o $@ $<

AR ?= ar
RANLIB ?= ranlib
libaio.a: $(libaio_objs)
	rm -f libaio.a
	$(AR) r libaio.a $^
	$(RANLIB) libaio.a

$(libname): $(libaio_sobjs) libaio.map
	$(CC) $(SO_CFLAGS) -Wl,--version-script=libaio.map -Wl,-soname=$(soname) -o $@ $(libaio_sobjs) $(LINK_FLAGS)

install: $(all_targets)
	install -D -m 644 libaio.h $(DESTDIR)$(includedir)/libaio.h
	install -D -m 644 libaio.a $(DESTDIR)$(libdir)/libaio.a
ifeq ($(ENABLE_SHARED),1)
	install -D -m 755 $(libname) $(DESTDIR)$(libdir)/$(libname)
	ln -sf $(libname) $(DESTDIR)$(libdir)/$(soname)
	ln -sf $(libname) $(DESTDIR)$(libdir)/libaio.so
endif

$(libaio_objs): libaio.h

clean:
	rm -f $(all_targets) $(libaio_objs) $(libaio_sobjs) $(soname).new
	rm -f *.so* *.a *.o

=== .pc/upstream/0001-Fix-test-issue-with-gcc-11.patch/harness/Makefile ===
# foo.
TEST_SRCS:=$(shell find cases/ -name \*.t | sort -n -t/ -k2)
EXTRAPROGS:=cases/8.p cases/10.p
PARTPROGS:=$(filter-out $(EXTRAPROGS), $(patsubst %.t,%.p,$(TEST_SRCS)))
PROGS:=$(PARTPROGS) $(EXTRAPROGS)
HARNESS_SRCS:=main.c
# io_queue.c

CFLAGS+=-Wall -Werror -I../src -g -O2
#-lpthread -lrt

# Change this on the build line to run tests against the installed libraries:
# make LIBAIO=-laio partcheck
LIBAIO?=../src/libaio.a

all: $(PROGS)

$(PROGS): %.p: %.t $(HARNESS_SRCS)
	$(CC) $(CFLAGS) -DTEST_NAME=\"$<\" -o $@ main.c $(LIBAIO) -lpthread

clean:
	rm -f $(PROGS) *.o runtests.out rofile wofile rwfile

.PHONY:

testdir/rofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 400 $@

testdir/wofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 200 $@

testdir/rwfile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 600 $@

testdir testdir.enospc testdir.ext2:
	mkdir $@

root: .PHONY
	@if [ `id -u` -ne 0 ]; then echo Need root for check, try partcheck >&2; exit 1; fi

partcheck: $(PARTPROGS) testdir/rofile testdir/rwfile testdir/wofile
	./runtests.sh $(PARTPROGS)

ext2.img:
	dd if=/dev/zero bs=1M count=10 of=$@
	mke2fs -F -b 4096 $@

extracheck: $(EXTRAPROGS) root testdir.ext2 testdir.enospc ext2.img
	mount -o loop -t ext2 ext2-enospc.img testdir.enospc
	./runtests.sh cases/10.p; ret=$$?; umount testdir.enospc; exit $$ret
	mount -o loop -t ext2 ext2.img testdir.ext2
	./runtests.sh cases/8.p; ret=$$?; umount testdir.ext2; exit $$ret

check: partcheck extracheck

=== .pc/upstream/0018-harness-Use-run-time-_SC_PAGE_SIZE-instead-of-build-.patch/harness/Makefile ===
# foo.
TEST_SRCS:=$(shell find cases/ -name \*.t | sort -n -t/ -k2)
EXTRAPROGS:=cases/8.p cases/10.p
PARTPROGS:=$(filter-out $(EXTRAPROGS), $(patsubst %.t,%.p,$(TEST_SRCS)))
PROGS:=$(PARTPROGS) $(EXTRAPROGS)
HARNESS_SRCS:=main.c
# io_queue.c

CFLAGS+=-Wall -Werror -I../src -g -O2 -DPAGE_SIZE=$(shell getconf PAGESIZE)
#-lpthread -lrt

# Change this on the build line to run tests against the installed libraries:
# make LIBAIO=-laio partcheck
LIBAIO?=../src/libaio.a

all: $(PROGS)

$(PROGS): %.p: %.t $(HARNESS_SRCS)
	$(CC) $(CFLAGS) -DTEST_NAME=\"$<\" -o $@ main.c $(LIBAIO) -lpthread

clean:
	rm -f $(PROGS) *.o runtests.out rofile wofile rwfile

.PHONY:

testdir/rofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 400 $@

testdir/wofile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 200 $@

testdir/rwfile: testdir .PHONY
	rm -f $@
	echo "test" >$@
	chmod 600 $@

testdir testdir.enospc testdir.ext2:
	mkdir $@

root: .PHONY
	@if [ `id -u` -ne 0 ]; then echo Need root for check, try partcheck >&2; exit 1; fi

partcheck: $(PARTPROGS) testdir/rofile testdir/rwfile testdir/wofile
	./runtests.sh $(PARTPROGS)

ext2.img:
	dd if=/dev/zero bs=1M count=10 of=$@
	mke2fs -F -b 4096 $@

extracheck: $(EXTRAPROGS) root testdir.ext2 testdir.enospc ext2.img
	mount -o loop -t ext2 ext2-enospc.img testdir.enospc
	./runtests.sh cases/10.p; ret=$$?; umount testdir.enospc; exit $$ret
	mount -o loop -t ext2 ext2.img testdir.ext2
	./runtests.sh cases/8.p; ret=$$?; umount testdir.ext2; exit $$ret

check: partcheck extracheck

=== debian/changelog ===
libaio (0.3.112-13build1+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:42:07 +0000

libaio (0.3.112-13build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:09:24 +0100

libaio (0.3.112-13) unstable; urgency=medium

  * Pass CPPFLAGS to linker command, which as a side effect makes the
    build reproducible on differing build pathnames.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Nov 2021 04:56:01 +0100

libaio (0.3.112-12) unstable; urgency=medium

  * Add patch from upstream to fix test suite warning with gcc-11.
  * Fix LTO build by using symver function attribute instead of .symver
    __asm__ statement. (Closes: #998309)

 -- Guillem Jover <guillem@debian.org>  Wed, 03 Nov 2021 00:56:45 +0100

libaio (0.3.112-11) unstable; urgency=medium

  * Use CC as a shell variable instead of a make one in autopkgtests.
  * Fix typos in io(3) man page.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Oct 2021 06:34:12 +0200

libaio (0.3.112-10) unstable; urgency=medium

  * Add autopkgtests.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Ship all man pages again, now that the redundant ones are no longer
    present, and the ones that describe the interfaces in the library live
    in section 3 which do not conflict with the ones in manpages-dev.
    (Closes: #995110)
  * Stop shipping upstream TODO file in libaio-dev.
  * List pathnames explicitly in debhelper .install fragment files, instead
    of using over matching globs.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Oct 2021 17:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libaio
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
 Priority: optional
 Section: libs
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libaio.git
 Homepage: https://pagure.io/libaio
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## libaio 0.3.112.1

=== debian/changelog ===
libaio (0.3.112.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Guillem Jover <guillem@debian.org>  Thu, 26 May 2022 10:48:30 +0800

libaio (0.3.112.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Tue, 19 Apr 2022 10:01:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libaio
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Priority: optional
 Section: libs
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libaio.git
